
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
# Examine routing table and determine which networks are being routed 
# through this interface. Also add our own network/netmask and remove
# duplicates.
#
#-----------------------------------------------------------------------
# CHANGES 
#-----------------------------------------------------------------------
#
# 2001-02-10  Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#             Initial function file written for rcf version 5.1.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Device_Subnets () {

	[ "$1" ] && prefix="${1}_" || prefix=""

	eval device=\"\$${prefix}DEVICE\"
	eval network=\"\$${prefix}NETWORK\"
	eval netmask=\"\$${prefix}NETMASK\"

	[ "$device" ] && {
		[ "$network" -a "$netmask" ] && echo "$network/$netmask"
		netstat -nre 2>/dev/null | egrep " U[G ].* $device\$" | \
			egrep -v '^0.0.0.0' | awk '{ print $1 "/" $3 }'
	} | sort | uniq

	unset prefix device network netmask
}

