
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
#
#
#-----------------------------------------------------------------------
# CHANGES 
#-----------------------------------------------------------------------
#
# 2001-02-10  Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#             Initial function file written for rcf version 5.1.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Set_Cluster_Vars () {
	for ARG_INTERFACE_TYPE in $*
	do
		ARG_INTERFACE_TYPE=`echo $ARG_INTERFACE_TYPE|tr '[a-z]' '[A-Z]'`
		eval ARG_INTERFACES=\"\$${ARG_INTERFACE_TYPE}_INTERFACES\"

		for ARG_INTERFACE in $ARG_INTERFACES
		do
			DEVICE="`echo $ARG_INTERFACE|sed -n 's/^\([^\:]*\).*$/\1/p'`"
			[ "$DEVICE" != "$ARG_INTERFACE" ] && VIRTUAL="yes" || VIRTUAL="no"

			if [ "$VIRTUAL" = "no" ]
			then
				UCASE_INTERFACE=`echo $ARG_INTERFACE|tr '[a-z]' '[A-Z]'|tr ':-' '_'`
				eval CLUSTERS=\"\$${ARG_INTERFACE_TYPE}_${UCASE_INTERFACE}_CLUSTERS\"
				CLUSTERS="`echo $CLUSTERS|sed 's/,/ *separator* /g'`"
		
				for FIELD in $CLUSTERS
				do
					if [ "$FIELD" = "*separator*" ]
					then
						CLUSTER_NAME=""
					elif [ ! "$CLUSTER_NAME" ]
					then
						FIELD="`echo $FIELD|tr -c '[a-zA-Z0-9]' '_'|tr -d '_'`"
						CLUSTER_NAME="`echo $FIELD|tr '[a-z]' '[A-Z]'`"
						eval ${ARG_INTERFACE_TYPE}_${UCASE_INTERFACE}_CLUSTER_NAMES=\"\$${ARG_INTERFACE_TYPE}_${UCASE_INTERFACE}_CLUSTER_NAMES $FIELD\"
					else
						eval ${ARG_INTERFACE_TYPE}_${UCASE_INTERFACE}_${CLUSTER_NAME}_CLUSTER=\"\$${ARG_INTERFACE_TYPE}_${UCASE_INTERFACE}_${CLUSTER_NAME}_CLUSTER $FIELD\"
					fi
				done
			fi
		done
	done
	unset ARG_INTERFACE_TYPE ARG_INTERFACES ARG_INTERFACE
	unset UCASE_INTERFACE CLUSTERS FIELD CLUSTER_NAME
	unset DEVICE
}

