
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
# Try to determine the private and public interfaces.
#
#-----------------------------------------------------------------------
# CHANGES 
#-----------------------------------------------------------------------
#
# 2001-03-04  Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#             Used ifcofnig instead of netstat to find interface names.
# 2001-02-12  Edwin ten Brink <edwin@privateer.student.utwente.nl>
#             Prepared function for port to LRP
# 2001-02-10  Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#             Initial function file written for rcf version 5.1.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Set_Default_Vars () {

	ALL_INTERFACES="`ifconfig -a|sed -n 's/^\([^ ][^ ]*\).*$/\1/p'|grep -v 'lo'|sort`"

	for INTERFACE in $ALL_INTERFACES
	do
		IPADDR="`ifconfig $INTERFACE|sed -n 's/.* addr:\([0-9\.]*\) .*/\1/p'`"
		case $IPADDR in
			10.*|172.16.*|192.168.*)
				[ ! "$PRIVATE_INTERFACES" ] \
					&& PRIVATE_INTERFACES="$INTERFACE" \
					|| PRIVATE_INTERFACES="$PRIVATE_INTERFACES $INTERFACE"
				;;
			*)
				[ ! "$PUBLIC_INTERFACES" ] \
					&& PUBLIC_INTERFACES="$INTERFACE" \
					|| PUBLIC_INTERFACES="$PUBLIC_INTERFACES $INTERFACE"
				;;
		esac
	done
}

