
#-----------------------------------------------------------------------
# README
#-----------------------------------------------------------------------
#
#
#
#-----------------------------------------------------------------------
# CHANGES 
#-----------------------------------------------------------------------
#
# 2001-02-10  Jean-Sebastien Morisset <jsmoriss@mvlan.net>
#             Initial function file written for rcf version 5.1.
#
#-----------------------------------------------------------------------
# FUNCTION
#-----------------------------------------------------------------------

Set_Mode_Num () {
	# Set the PUBLIC_INTERFACES_MODE etc. variables.
	# Numeric values are easier to test against.
	#
	for interface_type in PUBLIC PRIVATE DMZ MZ
	do
		for group_type in INTERFACES CLUSTERS
		do
			eval value=\"\$${interface_type}_${group_type}_SECURITY\"
			case $value in
				open)
					if [ "$interface_type" != "PRIVATE" ]
					then
						echo ""
						echo "WARNING: open mode is only supported on private interfaces!"
						echo "Please change the value of ${interface_type}_${group_type}_SECURITY."
						echo ""
						exit 1
					fi
					eval ${interface_type}_${group_type}_MODE=\"0\"
					;;
				relaxed)	eval ${interface_type}_${group_type}_MODE=\"1\" ;;
				strict)		eval ${interface_type}_${group_type}_MODE=\"2\" ;;
				paranoid)	eval ${interface_type}_${group_type}_MODE=\"3\" ;;
				*)			eval ${interface_type}_${group_type}_MODE=\"3\" ;;
			esac
		done
	done
	unset interface_type group_type value
}

